[arch-commits] Commit in libunwind/repos (6 files)

Sébastien Luttringer seblu at archlinux.org
Wed Sep 30 18:58:34 UTC 2015


    Date: Wednesday, September 30, 2015 @ 20:58:33
  Author: seblu
Revision: 247933

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  libunwind/repos/extra-i686/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch
    (from rev 247932, libunwind/trunk/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch)
  libunwind/repos/extra-i686/PKGBUILD
    (from rev 247932, libunwind/trunk/PKGBUILD)
  libunwind/repos/extra-x86_64/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch
    (from rev 247932, libunwind/trunk/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch)
  libunwind/repos/extra-x86_64/PKGBUILD
    (from rev 247932, libunwind/trunk/PKGBUILD)
Deleted:
  libunwind/repos/extra-i686/PKGBUILD
  libunwind/repos/extra-x86_64/PKGBUILD

--------------------------------------------------------------------------+
 /PKGBUILD                                                                |   74 ++++++++++
 extra-i686/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch   |   21 ++
 extra-i686/PKGBUILD                                                      |   35 ----
 extra-x86_64/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch |   21 ++
 extra-x86_64/PKGBUILD                                                    |   35 ----
 5 files changed, 116 insertions(+), 70 deletions(-)

Copied: libunwind/repos/extra-i686/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch (from rev 247932, libunwind/trunk/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch)
===================================================================
--- extra-i686/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch	                        (rev 0)
+++ extra-i686/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch	2015-09-30 18:58:33 UTC (rev 247933)
@@ -0,0 +1,21 @@
+From 396b6c7ab737e2bff244d640601c436a26260ca1 Mon Sep 17 00:00:00 2001
+From: Arun Sharma <arun at sharma-home.net>
+Date: Sat, 20 Jun 2015 02:47:22 +0000
+Subject: Invalid dwarf opcodes can cause references beyond the end of the array.
+
+---
+diff --git a/include/dwarf_i.h b/include/dwarf_i.h
+index 1e6231e..4a02a7d 100644
+--- a/include/dwarf_i.h
++++ b/include/dwarf_i.h
+@@ -20,7 +20,7 @@
+ extern const uint8_t dwarf_to_unw_regnum_map[DWARF_REGNUM_MAP_LENGTH];
+ /* REG is evaluated multiple times; it better be side-effects free!  */
+ # define dwarf_to_unw_regnum(reg)                                         \
+-  (((reg) <= DWARF_REGNUM_MAP_LENGTH) ? dwarf_to_unw_regnum_map[reg] : 0)
++  (((reg) < DWARF_REGNUM_MAP_LENGTH) ? dwarf_to_unw_regnum_map[reg] : 0)
+ #endif
+ 
+ #ifdef UNW_LOCAL_ONLY
+--
+cgit v0.9.0.2

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2015-09-30 18:58:18 UTC (rev 247932)
+++ extra-i686/PKGBUILD	2015-09-30 18:58:33 UTC (rev 247933)
@@ -1,35 +0,0 @@
-# $id$
-# Maintainer: Sébastien Luttringer
-# Contributor: Lawrence Lee <valheru at facticius.net>
-# Contributor: Phillip Marvin <phillip.marvin at gmail.com>
-# Contributor: keystone <phillip.marvin at gmail.com>
-
-pkgname=libunwind
-pkgver=1.1
-pkgrel=2
-pkgdesc='Portable and efficient C programming interface (API) to determine the call-chain of a program'
-arch=('i686' 'x86_64')
-url='http://www.nongnu.org/libunwind/'
-license=('GPL')
-depends=('glibc' 'xz')
-source=("http://download.savannah.gnu.org/releases/$pkgname/$pkgname-$pkgver.tar.gz")
-md5sums=('fb4ea2f6fbbe45bf032cd36e586883ce')
-
-build() {
-  cd $pkgname-$pkgver
-  ./configure CFLAGS="$CFLAGS -U_FORTIFY_SOURCE" --prefix=/usr
-  make
-}
-
-check() {
-  cd $pkgname-$pkgver
-  # This function is ``supposed'' to fail. Upstream know, but haven't fixed it.
-  make check || return 0
-}
-
-package() {
-  cd $pkgname-$pkgver
-  make DESTDIR="$pkgdir/" install
-}
-
-# vim:set ts=2 sw=2 et:

Copied: libunwind/repos/extra-i686/PKGBUILD (from rev 247932, libunwind/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2015-09-30 18:58:33 UTC (rev 247933)
@@ -0,0 +1,37 @@
+# $id$
+# Maintainer: Sébastien Luttringer
+# Contributor: Lawrence Lee <valheru at facticius.net>
+# Contributor: Phillip Marvin <phillip.marvin at gmail.com>
+# Contributor: keystone <phillip.marvin at gmail.com>
+
+pkgname=libunwind
+pkgver=1.1
+pkgrel=3
+pkgdesc='Portable and efficient C programming interface (API) to determine the call-chain of a program'
+arch=('i686' 'x86_64')
+url='http://www.nongnu.org/libunwind/'
+license=('GPL')
+depends=('glibc' 'xz')
+source=("http://download.savannah.gnu.org/releases/$pkgname/$pkgname-$pkgver.tar.gz"
+        '001-invalid-dwarf-opcodes-can-cause-references-beyond.patch')
+md5sums=('fb4ea2f6fbbe45bf032cd36e586883ce'
+         'ea8aa624d6b6eaf1cbf56dfb48468e92')
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure CFLAGS="$CFLAGS -U_FORTIFY_SOURCE" --prefix=/usr
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  # This function is ``supposed'' to fail. Upstream know, but haven't fixed it.
+  make check || return 0
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir/" install
+}
+
+# vim:set ts=2 sw=2 et:

Copied: libunwind/repos/extra-x86_64/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch (from rev 247932, libunwind/trunk/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch)
===================================================================
--- extra-x86_64/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch	                        (rev 0)
+++ extra-x86_64/001-invalid-dwarf-opcodes-can-cause-references-beyond.patch	2015-09-30 18:58:33 UTC (rev 247933)
@@ -0,0 +1,21 @@
+From 396b6c7ab737e2bff244d640601c436a26260ca1 Mon Sep 17 00:00:00 2001
+From: Arun Sharma <arun at sharma-home.net>
+Date: Sat, 20 Jun 2015 02:47:22 +0000
+Subject: Invalid dwarf opcodes can cause references beyond the end of the array.
+
+---
+diff --git a/include/dwarf_i.h b/include/dwarf_i.h
+index 1e6231e..4a02a7d 100644
+--- a/include/dwarf_i.h
++++ b/include/dwarf_i.h
+@@ -20,7 +20,7 @@
+ extern const uint8_t dwarf_to_unw_regnum_map[DWARF_REGNUM_MAP_LENGTH];
+ /* REG is evaluated multiple times; it better be side-effects free!  */
+ # define dwarf_to_unw_regnum(reg)                                         \
+-  (((reg) <= DWARF_REGNUM_MAP_LENGTH) ? dwarf_to_unw_regnum_map[reg] : 0)
++  (((reg) < DWARF_REGNUM_MAP_LENGTH) ? dwarf_to_unw_regnum_map[reg] : 0)
+ #endif
+ 
+ #ifdef UNW_LOCAL_ONLY
+--
+cgit v0.9.0.2

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2015-09-30 18:58:18 UTC (rev 247932)
+++ extra-x86_64/PKGBUILD	2015-09-30 18:58:33 UTC (rev 247933)
@@ -1,35 +0,0 @@
-# $id$
-# Maintainer: Sébastien Luttringer
-# Contributor: Lawrence Lee <valheru at facticius.net>
-# Contributor: Phillip Marvin <phillip.marvin at gmail.com>
-# Contributor: keystone <phillip.marvin at gmail.com>
-
-pkgname=libunwind
-pkgver=1.1
-pkgrel=2
-pkgdesc='Portable and efficient C programming interface (API) to determine the call-chain of a program'
-arch=('i686' 'x86_64')
-url='http://www.nongnu.org/libunwind/'
-license=('GPL')
-depends=('glibc' 'xz')
-source=("http://download.savannah.gnu.org/releases/$pkgname/$pkgname-$pkgver.tar.gz")
-md5sums=('fb4ea2f6fbbe45bf032cd36e586883ce')
-
-build() {
-  cd $pkgname-$pkgver
-  ./configure CFLAGS="$CFLAGS -U_FORTIFY_SOURCE" --prefix=/usr
-  make
-}
-
-check() {
-  cd $pkgname-$pkgver
-  # This function is ``supposed'' to fail. Upstream know, but haven't fixed it.
-  make check || return 0
-}
-
-package() {
-  cd $pkgname-$pkgver
-  make DESTDIR="$pkgdir/" install
-}
-
-# vim:set ts=2 sw=2 et:

Copied: libunwind/repos/extra-x86_64/PKGBUILD (from rev 247932, libunwind/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2015-09-30 18:58:33 UTC (rev 247933)
@@ -0,0 +1,37 @@
+# $id$
+# Maintainer: Sébastien Luttringer
+# Contributor: Lawrence Lee <valheru at facticius.net>
+# Contributor: Phillip Marvin <phillip.marvin at gmail.com>
+# Contributor: keystone <phillip.marvin at gmail.com>
+
+pkgname=libunwind
+pkgver=1.1
+pkgrel=3
+pkgdesc='Portable and efficient C programming interface (API) to determine the call-chain of a program'
+arch=('i686' 'x86_64')
+url='http://www.nongnu.org/libunwind/'
+license=('GPL')
+depends=('glibc' 'xz')
+source=("http://download.savannah.gnu.org/releases/$pkgname/$pkgname-$pkgver.tar.gz"
+        '001-invalid-dwarf-opcodes-can-cause-references-beyond.patch')
+md5sums=('fb4ea2f6fbbe45bf032cd36e586883ce'
+         'ea8aa624d6b6eaf1cbf56dfb48468e92')
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure CFLAGS="$CFLAGS -U_FORTIFY_SOURCE" --prefix=/usr
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  # This function is ``supposed'' to fail. Upstream know, but haven't fixed it.
+  make check || return 0
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir/" install
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list